Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class ViewObjectSubclassDef

`java.lang.Object
oracle.jbo.common.ViewObjectSubclassDef`

All Implemented Interfaces:
  StructureDef

public class ViewObjectSubclassDef
extends java.lang.Object
implements StructureDef

Constructor Summary
`ViewObjectSubclassDef(ViewObjectDynAttr vo, StructureDef viewDef)`

Method Summary
`AttributeDef` | `findAttributeDef(java.lang.String name)` Gets an attribute definition, given its name.
`int` | `getAttributeCount()` Returns the number of defined attributes.
`AttributeDef` | `getAttributeDef(int index)` Gets an attribute definition, given its index.
`AttributeDef[]` | `getAttributeDefs()` Gets the defined attributes.
`int` | `getAttributeIndexOf(java.lang.String name)` Finds the index (0-based) of the named attribute.
`java.lang.String` | `getDefFullName()` Returns the fully qualified name of the structure's base definition.
`java.lang.String` | `getDefName()` Returns the structure's base definition name (short form).
`java.lang.String` | `getFullName()` Returns the structure's fully qualified name.
`java.lang.String` | `getName()` Returns the structure's name (short form).
`AttributeDef` | `lookupAttributeDef(java.lang.String name)` Gets an attribute definition, given its name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewObjectSubclassDef

    public ViewObjectSubclassDef(ViewObjectDynAttr vo,
                                 StructureDef viewDef)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `StructureDef`
  Returns the structure's name (short form).
  Specified by:
    `getName` in interface `StructureDef`
  Returns:
    name of the structure.

### getFullName

    public java.lang.String getFullName()

  Description copied from interface: `StructureDef`
  Returns the structure's fully qualified name.
  Specified by:
    `getFullName` in interface `StructureDef`
  Returns:
    fully qualified name of the structure.

### getDefName

    public java.lang.String getDefName()

  Description copied from interface: `StructureDef`
  Returns the structure's base definition name (short form). Note that, in some cases, a StructureDef may have an instance name and definition name. For example, for a View Object, `getName()` returns the VO's instance name and `getDefName()` returns the View definition's name.
  Specified by:
    `getDefName` in interface `StructureDef`
  Returns:
    name of the structure's base definition.

### getDefFullName

    public java.lang.String getDefFullName()

  Description copied from interface: `StructureDef`
  Returns the fully qualified name of the structure's base definition. Note that, in some cases, a StructureDef may have an instance name and definition name. For example, for a View Object, `getFullName()` returns the VO's full instance name and `getDefFullName()` returns the View definition's full name.
  Specified by:
    `getDefFullName` in interface `StructureDef`
  Returns:
    fully qualified name of the structure's base definition.

### getAttributeDefs

    public AttributeDef[] getAttributeDefs()

  Description copied from interface: `StructureDef`
  Gets the defined attributes.
  Specified by:
    `getAttributeDefs` in interface `StructureDef`
  Returns:
    an array of attribute definitions.

### getAttributeCount

    public int getAttributeCount()

  Description copied from interface: `StructureDef`
  Returns the number of defined attributes.
  Specified by:
    `getAttributeCount` in interface `StructureDef`
  Returns:
    the number of attributes.

### findAttributeDef

    public AttributeDef findAttributeDef(java.lang.String name)

  Description copied from interface: `StructureDef`
  Gets an attribute definition, given its name.
  Specified by:
    `findAttributeDef` in interface `StructureDef`
  Parameters:
    `name` - the name of an `AttributeDef`.
  Returns:
    an attribute definition

### lookupAttributeDef

    public AttributeDef lookupAttributeDef(java.lang.String name)

  Description copied from interface: `StructureDef`
  Gets an attribute definition, given its name.
  Specified by:
    `lookupAttributeDef` in interface `StructureDef`
  Parameters:
    `name` - the name of an `AttributeDef`.
  Returns:
    an attribute definition if found, null otherwise

### getAttributeDef

    public AttributeDef getAttributeDef(int index)

  Description copied from interface: `StructureDef`
  Gets an attribute definition, given its index.
  Specified by:
    `getAttributeDef` in interface `StructureDef`
  Parameters:
    `index` - the index of an `AttributeDef`, where the leftmost attribute has index zero.
  Returns:
    an attribute definition.

### getAttributeIndexOf

    public int getAttributeIndexOf(java.lang.String name)

  Description copied from interface: `StructureDef`
  Finds the index (0-based) of the named attribute.
  Specified by:
    `getAttributeIndexOf` in interface `StructureDef`
  Parameters:
    `name` - the attribute's name.
  Returns:
    an integer in the range `0` to `getAttributeCount() - 1`. If the named attribute is not found, it returns -1.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.